
The Hammer - Bug #96

Search and Replace should start from being

10/27/2017 02:15 PM - Wil van Antwerpen

Status: Closed Start date: 10/27/2017

Priority: Normal Due date:  

Assignee: Wil van Antwerpen % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

On behalf of DaveR:

Search and replace all which hung, the first time. On rerun it worked okay but only seemed to search down from the cursor position.

Could the search dialog either have a search-up or search-down choice? Or alternatively could it offer to 'continue from top' when it

hits the end? 

History

#1 - 11/12/2017 11:41 PM - Wil van Antwerpen

- Status changed from New to Resolved

- Assignee set to Wil van Antwerpen

Replace.dg, start from beginning did not work. Also fixed a problem where replace all would hang.

This was that in order to do the actual replace we had to select the text, then replace and search next.

The problem was that search next would only search in the selection from then on.

So the resolution for the hang was to remove the selection after replacing the text.

#2 - 04/06/2018 02:37 PM - Wil van Antwerpen

- Status changed from Resolved to Closed
